# draugr.drawers.mpl_drawers.spectral.fast_fourier_transform.FastFourierTransformPlot

class draugr.drawers.mpl_drawers.spectral.fast_fourier_transform.FastFourierTransformPlot(n_fft: int = 64, sampling_rate=2000, title: str = '', figure_size=(9, 9), render: bool = True, **kwargs)

  Bases: `MplDrawer`

  Plots last computed fft of data

  __init__(n_fft: int = 64, sampling_rate=2000, title: str = '', figure_size=(9, 9), render: bool = True, **kwargs)
    Parameters

      - n_fft –

      - sampling_rate –

      - title –

      - placement –

      - fig_size –

      - render –

  Methods

  `__init__`([n_fft, sampling_rate, title, ...])

  param n_fft

  `close`() | description
  `draw`(data[, delta]) | description
  `move_figure`(figure[, x, y]) | Move figure's upper left corner to pixel (x, y)

  Attributes

  close()

    description

  draw(data: Any, delta: Optional [ float ] = None)

    description

  static move_figure(figure: Figure, x: int = 0, y: int = 0)

    Move figure’s upper left corner to pixel (x, y)

  n

    fig_manager = pyplot.get_current_fig_manager() geom = fig_manager.window.geometry() x, y, dx, dy = geom.getRect() fig_manager.window.setGeometry(*placement, dx, dy) fig_manager.window.SetPosition((500, 0))